diff --git a/cvscreate.sh b/cvscreate.sh
new file mode 100755
index 0000000..5c00ff9
--- /dev/null
+++ b/cvscreate.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+# cvscreate.sh - Create And Checkin A New CVS Project
+# Copyright (c) 2012 TundraWare Inc,, Des Plaines, IL USA
+# $Id: cvscreate.sh,v 1.1 2012/05/23 23:56:35 tundra Exp $
+
+# Assumes that the containing directory name is the name of the project
+
+if [ $# != 1 ]
+then
+  echo "usage: cvscreate.sh 'Description of project'"
+  exit 1
+fi
+
+PROJNAME=`basename $PWD`
+echo $PROJNAME
+
+cvs import -m "$1" $PROJNAME TundraWare start
+cvs co $PROJNAME
+cd $PROJNAME
+cvs commit -r1.100 -m 'Initial CVS checkin to initialize version number.'